Subject: Re: [PATCH] Documentation: Fix inconsistent quotes

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Apr 2015 13:13:53 -0700

Jeff King <[email-masked]> writes:

> On Wed, Apr 29, 2015 at 12:09:46PM -0700, Jonathan Nieder wrote:
>
>> Hi,
>> 
>> Jeff King wrote:
>> 
>> > But IMHO, using backticks looks much better. In the roff-formatted
>> > manpages single quotes underline, but backticks use bold.
>> 
>> Are you sure?  My copy of git.1.gz has backticks converted into no
>> formatting at all:
>> 
>> 	Other options are available to control how the manual page is displayed\&. See
>> 	\fBgit-help\fR(1)
>> 	for more information, because
>> 	git \-\-help \&.\&.\&.
>> 	is converted internally into
>> 	git help \&.\&.\&.\&.
>
> It's actually optional. See 5121a6d (Documentation: option to render
> literal text as bold for manpages, 2009-03-27). I don't see a good
> reason that wasn't made the default early, except conservatism. I've had
> it enabled for years (though I admit I don't read the manpages that much
> these days :) ).

Interesting.  What I happen to use when populating the git-manpages
repository would have wider impact to the users, as I hear that some
(or many) distros just package whatever I have there.  I do not mind
enabling it on my end if that gives us more readable rendition.